#include "SysUser.h"

#include <link/io.h>

void List_Groups(void)
{
   BPTR fp;

   if (!(fp = Open("DLGCONFIG:Group/Group.bbs", MODE_OLDFILE)))
      return;
 
   AFPrintf(NULL,sout,SA[2306]);
   Draw_Line(UserDat.Screen_Width);

   while(FRead(fp, &Group, sizeof(Group), 1))
   {
      AFPrintf(NULL,sout,SA[2307], Group.name, Group.gop);
   }
   
   Close(fp);
   
   Draw_Line(UserDat.Screen_Width);
   AFPrintf(NULL,sout,"\n");  
}


